# Class FocusEvent

SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.FocusEvent

public final class FocusEvent extends TypedEvent
Instances of this class are sent as a result of widgets gaining and losing focus.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

See Also:
  - `FocusListener`

## Field Summary

### Fields inherited from class TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`FocusEvent(Event event)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

### Methods inherited from class TypedEvent

`toString`

## Constructor Details

### FocusEvent

public FocusEvent(Event event)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information